define({"73":{y:0,u:"../Content/Shared/_KV_Code_Identification.htm",l:-1,t:"Source Code Identification",i:0.0030810964865281,a:"When KeyView auto-detects a file that contains source code, it can attempt to identify the programming language that it is written in. Source code identification is a new, experimental feature in KeyView 12.0. It is available only on Windows 64-bit, Linux 64-bit, and macOS 64-bit platforms. You can ..."},"74":{y:0,u:"../Content/Chapter_Samples.htm",l:-1,t:"Sample Programs",i:0.00439058250682114,a:"Sample Programs This section describes the sample programs provided with Filter SDK."},"75":{y:0,u:"../Content/C++/samples/Introduction.htm",l:-1,t:"Introduction",i:0.0030810964865281,a:"The C++ sample programs demonstrate basic usage of the C++ implementation of the Filter API. The sample code is intended to provide a starting point for your own more advanced applications or to be used for reference purposes. The sample programs share a single header, to assist with parsing ..."},"76":{y:0,u:"../Content/C++/samples/detect.htm",l:-1,t:"detect",i:0.00351759182662578,a:"KeyView can provide information about a very large number of file formats. This sample program makes use of the file format detection API method.   The sample program takes a path to a file and prints the information reported by the API. For example, the following output is produced when you run the ..."},"77":{y:0,u:"../Content/C++/samples/extract.htm",l:-1,t:"extract",i:0.01250144338904,a:"Some files can contain embedded subfiles, including archive formats such as zip and rar, email containers, and Office formats. This sample program makes use of the subfile extraction API methods.   The sample program takes two positional arguments:  a path to a file a path to an output directory The ..."},"78":{y:0,u:"../Content/C++/samples/filter_document.htm",l:-1,t:"filter_document",i:0.00351759182662578,a:"Filtering is the extraction of text from a document. This sample program makes use of the filter API method.  The program takes two positional arguments: an input file an output text file By default, the ouput is encoded in UTF-8. $ ./filter_document input_file output.txt Not all document formats ..."},"79":{y:0,u:"../Content/C++/samples/metadata.htm",l:-1,t:"metadata",i:0.00439058250682114,a:"Some file formats contain additional documentation (metadata) about document contents. This sample program makes use of the metadata_map API method to provide metadata fields and values.  The fields that are present vary depending on file type and the individual document. For example, running the ..."},"80":{y:0,u:"../Content/C++/samples/subfiles.htm",l:-1,t:"subfiles",i:0.00463793445808568,a:"Like the  extract  sample program, the subfiles sample program uses the subfile extraction API methods. However, rather than copying the files to disk, it prints the number of embedded subfiles, and the information that could be obtained about each one, such as the file name and size. The API ..."},"81":{y:0,u:"../Content/C++/samples/filter_container.htm",l:-1,t:"filter_container",i:0.00351759182662578,a:"This sample program is a slightly more advanced example that combines several API methods. The sample program takes an input file and an output text file. The program  writes detection information and the filtered text to the output file. It then recursively extracts  all subfiles in the input file, ..."},"82":{y:0,u:"../Content/Part_C++_API_Ref.htm",l:-1,t:"C++ API Reference",i:0.00439058250682114,a:"C++ API Reference This section provides detailed reference information for the C++ implementation of the File Extraction and Filter APIs."},"83":{y:0,u:"../Content/C++/reference/InputOutput.htm",l:-1,t:"InputTypes and OutputTypes",i:0.0030810964865281,a:"InputTypes and OutputTypes Some of the methods in the C++SDK are templated on InputType,  OutputType, or both. You can pass these methods instances of the input and output types defined in the keyview::io namespace. See  Getting Started  for more details and examples."},"84":{y:0,u:"../Content/C++/reference/KVNamespace.htm",l:-1,t:"The keyview Namespace",i:0.0030810964865281,a:"The keyview Namespace This section provides details of the classes in the keyview namespace."},"85":{y:0,u:"../Content/C++/reference/SessionClass/SessionClass.htm",l:-1,t:"The Session Class",i:0.00943938319916017,a:"Defined in: Keyview_Session.hpp The Session class is the entry point to the C++ API. The Session class has methods to filter, detect, access subfiles, and get summary information. The Session class provides functions to: Detect a file format. Filter the content of a file. Get the metatdata of a ..."},"86":{y:0,u:"../Content/C++/reference/SessionClass/Constructor.htm",l:-1,t:"Constructor",i:0.0030810964865281,a:"Constructor Constructs a new Session with the specified parameters. Syntax Session::Session(\n        std::string bin_path = \".\",\n        bool in_process = false,\n        Configuration config = {} \n    ) Arguments"},"87":{y:0,u:"../Content/C++/reference/SessionClass/Config.htm",l:-1,t:"config",i:0.0030810964865281,a:"config Get a reference to the configuration. This can be used to configure the next API call. Syntax const Configuration\u0026 Session::config() const\nConfiguration\u0026 Session::config()"},"88":{y:0,u:"../Content/C++/reference/SessionClass/Detect.htm",l:-1,t:"detect",i:0.0030810964865281,a:"detect Find the autodetected format of a file. Syntax template\u003ctypename Input_Type \u003e\nDetectionInfo Session::detect(Input_Type \u0026input)"},"89":{y:0,u:"../Content/C++/reference/SessionClass/Filter.htm",l:-1,t:"filter",i:0.00570006852711418,a:"filter Filter a file to the provided output type. Syntax template\u003ctypename Input_Type , typename Output_Type \u003e\nvoid Session::filter(Input_Type \u0026input, Output_Type \u0026output)"},"90":{y:0,u:"../Content/C++/reference/SessionClass/GetSummaryInformation.htm",l:-1,t:"get_summary_information",i:0.0030810964865281,a:"get_summary_information Get document summary information metadata from a file, preserving the ability to access it in the original type. Syntax template\u003ctypename Input_Type \u003e std::multimap\u003cstd::string, SummaryInfoItem\u003e Session::get_summary_information(Input_Type \u0026input)"},"91":{y:0,u:"../Content/C++/reference/SessionClass/MetadataMap.htm",l:-1,t:"metadata_map",i:0.0109380126082864,a:"Get document metadata from a file. This function converts all metadata values of any type are converted to UTF-8 strings. It outputs date/time values in UTC in the ISO-8601 date format YYYY-MM-DDThh:mm:ssZ. For example 2016-02-09T16:15:51Z. Syntax template\u003ctypename Input_Type ..."},"92":{y:0,u:"../Content/C++/reference/SessionClass/Subfiles.htm",l:-1,t:"subfiles",i:0.0030810964865281,a:"subfiles Obtain information about subfiles. The Container holds references to the session and input. Syntax template\u003ctypename Input_Type\u003e\nContainer Session::subfiles(Input_Type \u0026input)"},"93":{y:0,u:"../Content/C++/reference/ConfigurationClass/ConfigurationClass.htm",l:-1,t:"The Configuration Class",i:0.0220258350778581,a:"The Configuration Class Defined in: Keyview_Configuration.hpp The Configuration class allows you to set a wide variety of options. You can use this class to construct a KeyView Session, and to modify a Session that has already been constructed. Each option has a getter and setter method."},"94":{y:0,u:"../Content/C++/reference/ConfigurationClass/Constructor.htm",l:-1,t:"Constructor",i:0.0030810964865281,a:"Constructor Create a new Configuration object. Syntax Configuration::Configuration()\nConfiguration::Configuration(const Configuration\u0026)"},"95":{y:0,u:"../Content/C++/reference/ConfigurationClass/custom_pdf_metadata.htm",l:-1,t:"custom_pdf_metadata",i:0.0030810964865281,a:"Setting custom_pdf_metadata to true results in all custom metadata being filtered from PDF documents when the metadata APIs are used. Default value: false Syntax bool Configuration::custom_pdf_metadata() const\nConfiguration\u0026 Configuration::custom_pdf_metadata(bool emit_custom_metadata)"},"96":{y:0,u:"../Content/C++/reference/ConfigurationClass/date_time_field_codes.htm",l:-1,t:"date_time_field_codes",i:0.0030810964865281,a:"If you set date_time_field_codes to true, date/time field codes are extracted from Microsoft Word, PowerPoint, and RTF documents, instead of date/time values. Default value: false Syntax bool Configuration::date_time_field_codes() const\nConfiguration\u0026 Configuration::date_time_field_codes(bool ..."},"97":{y:0,u:"../Content/C++/reference/ConfigurationClass/extraction_timeout.htm",l:-1,t:"extraction_timeout",i:0.0030810964865281,a:"extraction_timeout Sets the timeout for extracting one document. Default value: 350 seconds Syntax long Configuration::extraction_timeout() const\nConfiguration\u0026 Configuration::extraction_timeout(long seconds)"},"98":{y:0,u:"../Content/C++/reference/ConfigurationClass/filename_field_code.htm",l:-1,t:"filename_field_code",i:0.0030810964865281,a:"filename_field_code If you set filename_field_code to true, file name field codes are extracted from Microsoft Word documents. Default value: false Syntax bool Configuration::filename_field_code() const\nConfiguration\u0026 Configuration::filename_field_code(bool use_fieldcode)"},"99":{y:0,u:"../Content/C++/reference/ConfigurationClass/formatted_mail.htm",l:-1,t:"formatted_mail",i:0.0030810964865281,a:"formatted_mail If you set formatted_mail to true, the formatted version of the message body (HTML or RTF) is extracted from mail files where possible. Default value: false Syntax bool Configuration::formatted_mail() const\nConfiguration\u0026 Configuration::formatted_mail(bool extract_formatted)"},"100":{y:0,u:"../Content/C++/reference/ConfigurationClass/header_and_footer.htm",l:-1,t:"header_and_footer",i:0.0030810964865281,a:"header_and_footer Extracts headers and footers. Default value: false Syntax bool Configuration::header_and_footer() const\nConfiguration\u0026 Configuration::header_and_footer(bool emit_header_text)"},"101":{y:0,u:"../Content/C++/reference/ConfigurationClass/header_and_footer_tags.htm",l:-1,t:"header_and_footer_tags",i:0.0030810964865281,a:"header_and_footer_tags Puts tags around header and footer data. Default value: false Syntax bool Configuration::header_and_footer_tags() const\nConfiguration\u0026 Configuration::header_and_footer_tags(bool tag_headers)"},"102":{y:0,u:"../Content/C++/reference/ConfigurationClass/hidden_text.htm",l:-1,t:"hidden_text",i:0.0030810964865281,a:"hidden_text If you set hidden_text to true, hidden text in Microsoft Word, Excel, and PowerPoint documents is extracted. Default value: false Syntax bool Configuration::hidden_text() const\nConfiguration\u0026 Configuration::hidden_text(bool emit_hidden_text)"},"103":{y:0,u:"../Content/C++/reference/ConfigurationClass/no_encoding_conversion.htm",l:-1,t:"no_encoding_conversion",i:0.0030810964865281,a:"Setting no_encoding_conversion to true prevents the default conversion of the text encoding. Filter  retains the original character encoding of the document if it is available. Default value: false Syntax bool Configuration::no_encoding_conversion() const\nConfiguration\u0026 ..."},"104":{y:0,u:"../Content/C++/reference/ConfigurationClass/out_of_process_log.htm",l:-1,t:"out_of_process_log",i:0.0030810964865281,a:"out_of_process_log Setting this to true enables out of process logging. Default value: false Syntax bool Configuration::out_of_process_log() const\nConfiguration\u0026 Configuration::out_of_process_log(bool use_log)"},"105":{y:0,u:"../Content/C++/reference/ConfigurationClass/out_of_process_memory_log.htm",l:-1,t:"out_of_process_memory_log",i:0.0030810964865281,a:"out_of_process_memory_log Eanbles memory trace for the out-of-process error log. Default value: false Syntax bool Configuration::out_of_process_memory_log() const\nConfiguration\u0026 Configuration::out_of_process_memory_log(bool log_memory)"},"106":{y:0,u:"../Content/C++/reference/ConfigurationClass/password.htm",l:-1,t:"password",i:0.0030810964865281,a:"password Specifies a password to open a password-protected file for filtering. Default value: empty string Syntax const std::string\u0026 Configuration::password() const\nConfiguration\u0026 Configuration::password(std::string document_password)"},"107":{y:0,u:"../Content/C++/reference/ConfigurationClass/pdf_logical_reading.htm",l:-1,t:"pdf_logical_reading",i:0.0030810964865281,a:"pdf_logical_reading Specifies the order in which the user would like paragraphs in PDF file to be extracted (logical reading order). Default value: raw Syntax LogicalPDFDirection Configuration::pdf_logical_reading() const\nConfiguration\u0026 Configuration::pdf_logical_reading(LogicalPDFDirection mode)"},"108":{y:0,u:"../Content/C++/reference/ConfigurationClass/revision_marks.htm",l:-1,t:"revision_marks",i:0.0030810964865281,a:"revision_marks If you set revision_marks to true, text that was deleted from  documents with revision tracking enabled is included in the filtered output. Default value: false Syntax bool Configuration::revision_marks() const\nConfiguration\u0026 Configuration::revision_marks(bool emit_revision_marks)"},"109":{y:0,u:"../Content/C++/reference/ConfigurationClass/skip_comments.htm",l:-1,t:"skip_comments",i:0.0030810964865281,a:"skip_comments If you set skip_comments to true, comments from Microsoft Word, PowerPoint, or Excel documents are not extracted. Default value: false Syntax bool Configuration::skip_comments() const\nConfiguration\u0026 Configuration::skip_comments(bool no_comments)"},"110":{y:0,u:"../Content/C++/reference/ConfigurationClass/skip_embedded_fonts.htm",l:-1,t:"skip_embedded_fonts",i:0.00439058250682114,a:"skip_embedded_fonts If you set skip_embedded_fonts to true, text that contains embedded fonts is not filtered from PDF documents. Default value: false Syntax bool Configuration::skip_embedded_fonts() const\nConfiguration\u0026 Configuration::skip_embedded_fonts(bool no_embedded_fonts)"},"111":{y:0,u:"../Content/C++/reference/ConfigurationClass/skip_thumbnail.htm",l:-1,t:"skip_thumbnail",i:0.0030810964865281,a:"skip_thumbnail If you set skip_thumbnail to true, text from thumbnail images for embedded objects in Microsoft Word documents is not  extracted. Default value: false Syntax bool Configuration::skip_thumbnail() const\nConfiguration\u0026 Configuration::skip_thumbnail(bool no_thumbnail)"},"112":{y:0,u:"../Content/C++/reference/ConfigurationClass/soft_hyphens.htm",l:-1,t:"soft_hyphens",i:0.00439058250682114,a:"soft_hyphens If you set soft_hyphens to true, soft hyphens are retained when text is filtered from PDF documents. Default value: false Syntax bool Configuration::soft_hyphens() const\nConfiguration\u0026 Configuration::soft_hyphens(bool emit_softhyphens)"},"113":{y:0,u:"../Content/C++/reference/ConfigurationClass/source_encoding.htm",l:-1,t:"source_encoding",i:0.0030810964865281,a:"source_encoding Specifies the character encoding of the input file. Default value: KVCS_UNKNOWN Syntax Encoding Configuration::source_encoding() const\nConfiguration\u0026 Configuration::source_encoding(Encoding encoding_of_source)"},"114":{y:0,u:"../Content/C++/reference/ConfigurationClass/tagged_pdf_content.htm",l:-1,t:"tagged_pdf_content",i:0.0030810964865281,a:"tagged_pdf_content If you set tagged_pdf_content to true, tagged PDF content is filtered from PDF documents. Default value: false Syntax bool Configuration::tagged_pdf_content() const\nConfiguration\u0026 Configuration::tagged_pdf_content(bool emit_tagged_content)"},"115":{y:0,u:"../Content/C++/reference/ConfigurationClass/target_encoding.htm",l:-1,t:"target_encoding",i:0.0030810964865281,a:"target_encoding Sets the encoding of the text in the output file. Default value: KVCS_UTF8 Syntax Encoding Configuration::target_encoding() const\nConfiguration\u0026 Configuration::target_encoding(Encoding encoding_of_target)"},"116":{y:0,u:"../Content/C++/reference/ConfigurationClass/string_temporary_directory.htm",l:-1,t:"string\u0026 temporary_directory",i:0.0030810964865281,a:"string\u0026 temporary_directory Sets the path of the temporary directory where temporary files are created during filtering. Default value: empty string Syntax const std::string\u0026 Configuration::temporary_directory() const\nConfiguration\u0026 Configuration::temporary_directory(std::string temp_dir)"},"117":{y:0,u:"../Content/C++/reference/ConfigurationClass/timeout.htm",l:-1,t:"timeout",i:0.0030810964865281,a:"timeout Sets the timeout used when filtering a particular document. Note that this is also used for SummaryInformation and Detection. Default value: 350 seconds Syntax long Configuration::timeout() const\nConfiguration\u0026 Configuration::timeout(long seconds)"},"118":{y:0,u:"../Content/C++/reference/ConfigurationClass/unicode_byte_order_marker.htm",l:-1,t:"unicode_byte_order_marker",i:0.0030810964865281,a:"unicode_byte_order_marker If you set unicode_byte_order_marker to true, the  filtered text in the output begins with a Unicode byte order marker. Default value: false Syntax bool Configuration::unicode_byte_order_marker() const\nConfiguration\u0026 Configuration::unicode_byte_order_marker(bool emit_bom)"},"119":{y:0,u:"../Content/C++/reference/DetectionInfoClass/DetectionInfoClass.htm",l:-1,t:"The DetectionInfo Class",i:0.0030810964865281,a:"The DetectionInfo Class Provides information about the format of a file. Defined in: Keyview_Detect.hpp"},"120":{y:0,u:"../Content/C++/reference/DetectionInfoClass/appleDoubleEncoded.htm",l:-1,t:"appleDoubleEncoded",i:0.0030810964865281,a:"appleDoubleEncoded Returns true if the file is AppleDouble encoded Syntax bool DetectionInfo::appleDoubleEncoded() const"},"121":{y:0,u:"../Content/C++/reference/DetectionInfoClass/appleSingleEncoded.htm",l:-1,t:"appleSingleEncoded",i:0.0030810964865281,a:"appleSingleEncoded Returns true if the file is AppleSingle encoded. Syntax bool DetectionInfo::appleSingleEncoded() const"},"122":{y:0,u:"../Content/C++/reference/DetectionInfoClass/category.htm",l:-1,t:"category",i:0.0030810964865281,a:"category Returns the category as an enum. Syntax Category DetectionInfo::category() const"},"123":{y:0,u:"../Content/C++/reference/DetectionInfoClass/category_name.htm",l:-1,t:"category_name",i:0.0030810964865281,a:"category_name Returns the category of this file type. Syntax std::string DetectionInfo::category_name() const"},"124":{y:0,u:"../Content/C++/reference/DetectionInfoClass/description.htm",l:-1,t:"description",i:0.0030810964865281,a:"description Returns a brief description of the file format. Syntax std::string DetectionInfo::description() const"},"125":{y:0,u:"../Content/C++/reference/DetectionInfoClass/encrypted.htm",l:-1,t:"encrypted",i:0.0030810964865281,a:"encrypted Returns true if the file is encrypted. Syntax bool DetectionInfo::encrypted() const"},"126":{y:0,u:"../Content/C++/reference/DetectionInfoClass/extension.htm",l:-1,t:"extension",i:0.0030810964865281,a:"extension Returns the file extension, or an empty string if no extension is appropriate. Syntax std::string DetectionInfo::extension() const"},"127":{y:0,u:"../Content/C++/reference/DetectionInfoClass/format.htm",l:-1,t:"format",i:0.0030810964865281,a:"format Returns the file format as an enum. Syntax Format DetectionInfo::format() const"},"128":{y:0,u:"../Content/C++/reference/DetectionInfoClass/macBinaryEncoded.htm",l:-1,t:"macBinaryEncoded",i:0.0030810964865281,a:"macBinaryEncoded Returns true if the file is MacBinary encoded. Syntax bool DetectionInfo::macBinaryEncoded() const"},"129":{y:0,u:"../Content/C++/reference/DetectionInfoClass/version.htm",l:-1,t:"version",i:0.0030810964865281,a:"version Returns the version number of the file format. Syntax long DetectionInfo::version() const"},"130":{y:0,u:"../Content/C++/reference/DetectionInfoClass/wangGDLencoded.htm",l:-1,t:"wangGDLencoded",i:0.0030810964865281,a:"wangGDLencoded Returns true if the file is Wang GDL encoded. Syntax bool DetectionInfo::wangGDLencoded() const"},"131":{y:0,u:"../Content/C++/reference/DetectionInfoClass/windowRMSEncrypted.htm",l:-1,t:"windowRMSEncrypted",i:0.0030810964865281,a:"windowRMSEncrypted Returns true if the file is Windows Rights Management Services encrypted. Syntax bool DetectionInfo::windowRMSEncrypted() const"},"132":{y:0,u:"../Content/C++/reference/ContainerClass/ContainerClass.htm",l:-1,t:"The Container Class",i:0.00439058250682114,a:"Defined in: Keyview_Container.hpp The Container class is a handle on a document that might contain subfiles. This allows access to each subfile in a document. The class defines standard methods for a collection: Subfile Container::at(int64_tindex) const;\nconst_iterator Container::begin() const;\nbool ..."},"133":{y:0,u:"../Content/C++/reference/SubfileClass/SubfileClass.htm",l:-1,t:"The Subfile Class",i:0.00551092513828104,a:"The Subfile Class Defined in: Keyview_Subfile.hpp The Subfile class represents a document within a container. It allows the subfile to be extracted, and information about the subfile to be accessed."},"134":{y:0,u:"../Content/C++/reference/SubfileClass/extract.htm",l:-1,t:"extract",i:0.0030810964865281,a:"extract Extracts the subfile to the specified output file. Syntax template\u003ctypename Output_Type \u003e\nSubfile::extract(Output_Type \u0026output) const"},"135":{y:0,u:"../Content/C++/reference/SubfileClass/children.htm",l:-1,t:"children",i:0.0030810964865281,a:"children If the subfiles are arranged in a hierarchy, this returns a vector holding the indexes of all the children of the subfiles. Syntax const std::vector\u003cint64_t\u003e\u0026 Subfile::children() const"},"136":{y:0,u:"../Content/C++/reference/SubfileClass/index.htm",l:-1,t:"index",i:0.0030810964865281,a:"index Returns the index of this subfile. Syntax int64_t Subfile::index() const"},"137":{y:0,u:"../Content/C++/reference/SubfileClass/is_folder.htm",l:-1,t:"is_folder",i:0.0030810964865281,a:"is_folder Returns whether or not this subfile is a folder. Syntax bool Subfile::is_folder() const"},"138":{y:0,u:"../Content/C++/reference/SubfileClass/mail_metadata.htm",l:-1,t:"mail_metadata",i:0.0030810964865281,a:"mail_metadata Returns the mail metadata for this subfile. Syntax std::multimap\u003cstd::string, std::string\u003e Subfile::mail_metadata() const"},"139":{y:0,u:"../Content/C++/reference/SubfileClass/parent.htm",l:-1,t:"parent",i:0.0030810964865281,a:"parent If the subfiles are arranged in a hierarchy, this returns the index of the parent of this subfile. Returns -1 if no other subfile is a parent to this subfile. Syntax int64_t Subfile::parent() const"},"140":{y:0,u:"../Content/C++/reference/SubfileClass/rawname.htm",l:-1,t:"rawname",i:0.0030810964865281,a:"Returns the name of this subfile as a string. This function returns the name from the source document without any modification. If you intend to use this name when extracting the subfile, Micro Focus recommends that you sanitize the value in order to protect your application against directory ..."},"141":{y:0,u:"../Content/C++/reference/SubfileClass/size.htm",l:-1,t:"size",i:0.0030810964865281,a:"size Returns the size of this subfile in bytes. Syntax int64_t Subfile::size() const"},"142":{y:0,u:"../Content/C++/reference/SubfileClass/time.htm",l:-1,t:"time",i:0.0030810964865281,a:"Returns the time.  For subfiles that are a mail message, this value is the sent time. Otherwise, when available, it is the last-modified-time. The time is presented as a single integer, which contains a count of 100-nanosecond intervals since January 1, 1601. Syntax int64_t Subfile::time() const"},"143":{y:0,u:"../Content/C++/reference/SubfileClass/type.htm",l:-1,t:"type",i:0.0030810964865281,a:"Returns the subfile type.  The subfile types are an enumeration of the possible categories of subfiles, to allow you to handle them differently. The categories cover structural information (for structured container files such as ZIPs), as well as other details.  For details of the enumeration, see  ..."},"144":{y:0,u:"../Content/C++/reference/SummaryInfoItemClass/SummaryInfoItemClass.htm",l:-1,t:"The SummaryInfoItem Class",i:0.0030810964865281,a:"Defined in: Keyview_SummaryInformation.hpp The SummaryInfoItem class  is the type returned by Session:get_summary_information to represent a single metadata item. The SummaryInfoItem class has methods to inspect the name or type of the item, provide conversion to string for ease of transition from ..."},"145":{y:0,u:"../Content/C++/reference/SummaryInfoItemClass/apply_visitor.htm",l:-1,t:"apply_visitor",i:0.00570006852711418,a:"A method that allows you to access the summary information values in their original type through a visitor pattern. To access the values, you must create a visitor class, with methods that can handle the possible item value types. Then you pass this class to apply_visitor, which establishes the ..."},"146":{y:0,u:"../Content/C++/reference/SummaryInfoItemClass/convert_to_string.htm",l:-1,t:"convert_to_string",i:0.0030810964865281,a:"convert_to_string A string representation of the value of the summary information item. This method applies the same transformations during the conversion to string as the  metadata_map  method. Syntax std::string convert_to_string() const;"},"147":{y:0,u:"../Content/C++/reference/SummaryInfoItemClass/name.htm",l:-1,t:"name",i:0.0030810964865281,a:"name The name of the summary information item. Syntax std::string name() const;"},"148":{y:0,u:"../Content/C++/reference/SummaryInfoItemClass/type.htm",l:-1,t:"type",i:0.0030810964865281,a:"type An enumeration value specifying the type of the summary information item. Syntax SummaryInfoType type() const;"},"149":{y:0,u:"../Content/C++/reference/SummaryInfoItemClass/SummaryInfoVisitorBase.htm",l:-1,t:"The SummaryInfoVisitorBase Class",i:0.0030810964865281,a:"Defined in: Keyview_SummaryInformation.hpp The SummaryInfoVisitorBase class  is an abstract base class that operates with the SummaryInfoItem:: apply_visitor  function. You use the SummaryInfoVisitorBase class by defining a class that inherits from it, implementing the required pure virtual member ..."},"150":{y:0,u:"../Content/C++/reference/SummaryInfoItemClass/visit_boolean.htm",l:-1,t:"visit_boolean",i:0.0030810964865281,a:"visit_boolean A method to handle summary information values of  Boolean type. Syntax virtual ReturnT visit_boolean(bool val) = 0;"},"151":{y:0,u:"../Content/C++/reference/SummaryInfoItemClass/visit_datetime.htm",l:-1,t:"visit_datetime",i:0.0030810964865281,a:"visit_datetime A method to handle summary information values that are absolute date/time values, fomratted as an integral number of epoch seconds (that is, seconds since the start of January 1st, 1970). Syntax virtual ReturnT visit_datetime(int64_t val) = 0;"},"152":{y:0,u:"../Content/C++/reference/SummaryInfoItemClass/visit_double.htm",l:-1,t:"visit_double",i:0.0030810964865281,a:"visit_double A method to handle summary information values of double type. Syntax virtual ReturnT visit_double(double val) = 0;"},"153":{y:0,u:"../Content/C++/reference/SummaryInfoItemClass/visit_integer.htm",l:-1,t:"visit_integer",i:0.0030810964865281,a:"visit_integer A method to handle summary information values of integer type. Syntax virtual ReturnT visit_integer(int32_t val) = 0;"},"154":{y:0,u:"../Content/C++/reference/SummaryInfoItemClass/visit_target_encoding_string.htm",l:-1,t:"visit_target_encoding_string",i:0.0030810964865281,a:"A method to handle string summary information values (titles, authors, and so on) presented in your configured target encoding.  KeyView can provide the string in the configured encoding only when it can determine the source encoding. When the source encoding cannot be determined, it is likely that ..."},"155":{y:0,u:"../Content/C++/reference/SummaryInfoItemClass/visit_utf8_string.htm",l:-1,t:"visit_utf8_string",i:0.00570006852711418,a:"visit_utf8_string A method to handle string summary information values (titles, authors, and so on) presented in UTF-8.  You can call visit_uft8_string even if your target encoding is configured to be UTF-8.  Syntax virtual ReturnT visit_utf8_string(const std::string\u0026 val) = 0;"},"156":{y:0,u:"../Content/C++/reference/Enumerations.htm",l:-1,t:"Enumerations",i:0.00869006849459707,a:"The following enumerations are defined in the C++ SDK. LogicalPDFDirection The following table lists the values of the LogicalPDFDirection enumeration. SubFile::Type The following table lists the values of the SubFile::Type enumeration. The enumeration SubFile::Type is a scoped enumeration, as well ..."},"157":{y:0,u:"../Content/C++/reference/Exceptions.htm",l:-1,t:"Exceptions",i:0.0030810964865281,a:"Defined in: Keyview_Errors.hpp The following exceptions can be thrown by calls to the API: encoding_not_converted_error encoding_not_supported_error external_subfile_error format_not_supported_error password_protected_error keyview_error All the exceptions inherit from keyview_error, which itself ..."},"158":{y:0,u:"../Content/C++/reference/kvionamespace/KV_ioNamespace.htm",l:-1,t:"The keyview::io Namespace",i:0.0030810964865281,a:"The keyview::io Namespace Defined in: Keyview_IO.hpp The keyview::io namespace contains predefined Input and Output types. These can be passed to functions templated on Input_Type or Output_Type."},"159":{y:0,u:"../Content/C++/reference/kvionamespace/InputFile.htm",l:-1,t:"InputFile",i:0.00395408716672346,a:"InputFile Can be used for: Input_Type Unbuffered input from a file. Constructors InputFile(std::string filename_)\nInputFile(std::wstring filename_)\nInputFile(std::experimental::filesystem::path filename_)\nInputFile(InputFile \u0026\u0026other)"},});